## org.exist.util.serializer
Class AttrList

    java.lang.Object
      org.exist.util.serializer.AttrList

public class AttrList
extends java.lang.Object

Represents a list of attributes. Each attribute is defined by a `QName` and a value. Instances of this class can be passed to `Receiver.startElement(QName, AttrList)`.

Author:
  wolf

Constructor Summary
`AttrList()`

Method Summary
`void` `addAttribute(QName name, java.lang.String value)`
`int` `getLength()`
`QName` `getQName(int pos)`
`java.lang.String` `getValue(int pos)`
`java.lang.String` `getValue(QName name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrList

    public AttrList()

Method Detail

### addAttribute

    public void addAttribute(QName name,
                             java.lang.String value)

### getLength

    public int getLength()

### getQName

    public QName getQName(int pos)

### getValue

    public java.lang.String getValue(int pos)

### getValue

    public java.lang.String getValue(QName name)

Copyright (C) Wolfgang Meier. All rights reserved.